Index: src/mlx/gui/flight.py
===================================================================
--- src/mlx/gui/flight.py	(revision 1142)
+++ src/mlx/gui/flight.py	(revision 1143)
@@ -2434,8 +2434,10 @@
         self.setMainWidget(alignment)
 
+        row  = 0
+
         self._crewLabel = label = Gtk.Label(xstr("payload_crew"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
-        table.attach(label, 0, 1, 0, 1)
+        table.attach(label, 0, 1, row, row+1)
 
         self._numCockpitCrew = Gtk.Label()
@@ -2452,15 +2454,17 @@
         crewBox.set_halign(Gtk.Align.END)
 
-        table.attach(crewBox, 1, 2, 0, 1)
+        table.attach(crewBox, 1, 2, row, row+1)
         label.set_mnemonic_widget(self._numCabinCrew)
 
         label = Gtk.Label(xstr("payload_crew_info"))
         label.set_halign(Gtk.Align.START)
-        table.attach(label, 2, 3, 0, 1)
+        table.attach(label, 2, 3, row, row+1)
+
+        row += 1
 
         self._paxLabel = label = Gtk.Label(xstr("payload_pax"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
-        table.attach(label, 0, 1, 1, 2)
+        table.attach(label, 0, 1, row, row+1)
 
         self._numPassengers = IntegerEntry(defaultValue = 0)
@@ -2486,15 +2490,17 @@
         paxBox.pack_start(self._numInfants, False, False, 0)
 
-        table.attach(paxBox, 1, 2, 1, 2)
+        table.attach(paxBox, 1, 2, row, row+1)
         label.set_mnemonic_widget(self._numPassengers)
 
         label = Gtk.Label(xstr("payload_pax_info"))
         label.set_halign(Gtk.Align.START)
-        table.attach(label, 2, 3, 1, 2)
+        table.attach(label, 2, 3, row, row+1)
+
+        row += 1
 
         label = Gtk.Label(xstr("payload_bag"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
-        table.attach(label, 0, 1, 2, 3)
+        table.attach(label, 0, 1, row, row+1)
 
         self._bagWeight = IntegerEntry(defaultValue = 0)
@@ -2504,15 +2510,17 @@
         self._bagWeight.set_hexpand(False)
         self._bagWeight.set_halign(Gtk.Align.END)
-        table.attach(self._bagWeight, 1, 2, 2, 3)
+        table.attach(self._bagWeight, 1, 2, row, row+1)
         label.set_mnemonic_widget(self._bagWeight)
 
         label = Gtk.Label("kg")
         label.set_halign(Gtk.Align.START)
-        table.attach(label, 2, 3, 2, 3)
+        table.attach(label, 2, 3, row, row+1)
+
+        row += 1
 
         label = Gtk.Label(xstr("payload_cargo"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
-        table.attach(label, 0, 1, 3, 4)
+        table.attach(label, 0, 1, row, row+1)
 
         self._cargoWeight = IntegerEntry(defaultValue = 0)
@@ -2522,15 +2530,17 @@
         self._cargoWeight.set_hexpand(False)
         self._cargoWeight.set_halign(Gtk.Align.END)
-        table.attach(self._cargoWeight, 1, 2, 3, 4)
+        table.attach(self._cargoWeight, 1, 2, row, row+1)
         label.set_mnemonic_widget(self._cargoWeight)
 
         label = Gtk.Label("kg")
         label.set_halign(Gtk.Align.START)
-        table.attach(label, 2, 3, 3, 4)
+        table.attach(label, 2, 3, row, row+1)
+
+        row += 1
 
         label = Gtk.Label(xstr("payload_mail"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
-        table.attach(label, 0, 1, 4, 5)
+        table.attach(label, 0, 1, row, row+1)
 
         self._mailWeight = IntegerEntry(defaultValue = 0)
@@ -2540,24 +2550,28 @@
         self._mailWeight.set_hexpand(False)
         self._mailWeight.set_halign(Gtk.Align.END)
-        table.attach(self._mailWeight, 1, 2, 4, 5)
+        table.attach(self._mailWeight, 1, 2, row, row+1)
         label.set_mnemonic_widget(self._mailWeight)
 
         label = Gtk.Label("kg")
         label.set_halign(Gtk.Align.START)
-        table.attach(label, 2, 3, 4, 5)
+        table.attach(label, 2, 3, row, row+1)
+
+        row += 1
 
         label = Gtk.Label("<b>" + xstr("payload_zfw") + "</b>")
         label.set_alignment(0.0, 0.5)
         label.set_use_markup(True)
-        table.attach(label, 0, 1, 5, 6)
+        table.attach(label, 0, 1, row, row+1)
 
         self._calculatedZFW = Gtk.Label()
         self._calculatedZFW.set_width_chars(6)
         self._calculatedZFW.set_alignment(1.0, 0.5)
-        table.attach(self._calculatedZFW, 1, 2, 5, 6)
+        table.attach(self._calculatedZFW, 1, 2, row, row+1)
 
         label = Gtk.Label("kg")
         label.set_halign(Gtk.Align.START)
-        table.attach(label, 2, 3, 5, 6)
+        table.attach(label, 2, 3, row, row+1)
+
+        row += 1
 
         self._zfwButton = Gtk.Button(xstr("payload_fszfw"))
@@ -2565,15 +2579,15 @@
         self._zfwButton.connect("clicked", self._zfwRequested)
         self._zfwButton.set_tooltip_text(xstr("payload_fszfw_tooltip"))
-        table.attach(self._zfwButton, 0, 1, 6, 7)
+        table.attach(self._zfwButton, 0, 1, row, row+1)
 
         self._simulatorZFW = Gtk.Label("-")
         self._simulatorZFW.set_width_chars(6)
         self._simulatorZFW.set_alignment(1.0, 0.5)
-        table.attach(self._simulatorZFW, 1, 2, 6, 7)
+        table.attach(self._simulatorZFW, 1, 2, row, row+1)
         self._simulatorZFWValue = None
 
         label = Gtk.Label("kg")
         label.set_halign(Gtk.Align.START)
-        table.attach(label, 2, 3, 6, 7)
+        table.attach(label, 2, 3, row, row+1)
 
         self.addCancelFlightButton()
Index: src/mlx/gui/weighthelp.py
===================================================================
--- src/mlx/gui/weighthelp.py	(revision 1142)
+++ src/mlx/gui/weighthelp.py	(revision 1143)
@@ -67,4 +67,6 @@
         mainBox.pack_start(alignment, True, True, 4)
 
+        row = 0
+        
         alignment = Gtk.Alignment(xalign = 1.0, yalign = 0.0,
                                   xscale = 0.0, yscale = 0.0)
@@ -76,5 +78,5 @@
         label.set_justify(Gtk.Justification.CENTER)
         alignment.add(label)
-        table.attach(alignment, 1, 2, 0, 1)
+        table.attach(alignment, 1, 2, row, row+1)
         
         alignment = Gtk.Alignment(xalign = 1.0, yalign = 0.0,
@@ -88,5 +90,8 @@
         label.set_justify(Gtk.Justification.CENTER)
         alignment.add(button)
-        table.attach(alignment, 3, 4, 0, 1)
+        table.attach(alignment, 3, 4, row, row+1)
+
+        row += 1
+
         
 
@@ -95,5 +100,5 @@
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(self._crewLabel)
-        table.attach(alignment, 0, 1, 1, 2)
+        table.attach(alignment, 0, 1, row, row+1)
 
         self._crewWeight = Gtk.Label("0")
@@ -101,7 +106,9 @@
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(self._crewWeight)
-        table.attach(alignment, 1, 2, 1, 2)
-        
-        table.attach(Gtk.Label("kg"), 2, 3, 1, 2)
+        table.attach(alignment, 1, 2, row, row+1)
+        
+        table.attach(Gtk.Label("kg"), 2, 3, row, row+1)
+        
+        row += 1
 
         text = xstr("weighthelp_pax") % ("999",)
@@ -112,5 +119,5 @@
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(self._paxLabel)
-        table.attach(alignment, 0, 1, 2, 3)
+        table.attach(alignment, 0, 1, row, row+1)
 
         self._paxWeight = Gtk.Label("20000")
@@ -118,13 +125,15 @@
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(self._paxWeight)
-        table.attach(alignment, 1, 2, 2, 3)
-        
-        table.attach(Gtk.Label("kg"), 2, 3, 2, 3)
-        
+        table.attach(alignment, 1, 2, row, row+1)
+        
+        table.attach(Gtk.Label("kg"), 2, 3, row, row+1)
+        
+        row += 1
+
         label = Gtk.Label(xstr("weighthelp_baggage"))
         alignment = Gtk.Alignment(xalign = 0.0, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(label)
-        table.attach(alignment, 0, 1, 3, 4)
+        table.attach(alignment, 0, 1, row, row+1)
 
         self._bagWeight = Gtk.Label("2000")
@@ -132,13 +141,15 @@
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(self._bagWeight)
-        table.attach(alignment, 1, 2, 3, 4)
-        
-        table.attach(Gtk.Label("kg"), 2, 3, 3, 4)
-        
+        table.attach(alignment, 1, 2, row, row+1)
+        
+        table.attach(Gtk.Label("kg"), 2, 3, row, row+1)
+        
+        row += 1
+
         label = Gtk.Label(xstr("weighthelp_cargo"))
         alignment = Gtk.Alignment(xalign = 0.0, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(label)
-        table.attach(alignment, 0, 1, 4, 5)
+        table.attach(alignment, 0, 1, row, row+1)
 
         self._cargoWeight = Gtk.Label("2000")
@@ -146,13 +157,15 @@
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(self._cargoWeight)
-        table.attach(alignment, 1, 2, 4, 5)
-        
-        table.attach(Gtk.Label("kg"), 2, 3, 4, 5)
-        
+        table.attach(alignment, 1, 2, row, row+1)
+        
+        table.attach(Gtk.Label("kg"), 2, 3, row, row+1)
+        
+        row += 1
+
         label = Gtk.Label(xstr("weighthelp_mail"))
         alignment = Gtk.Alignment(xalign = 0.0, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(label)
-        table.attach(alignment, 0, 1, 5, 6)
+        table.attach(alignment, 0, 1, row, row+1)
 
         self._mailWeight = Gtk.Label("2000")
@@ -160,9 +173,13 @@
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(self._mailWeight)
-        table.attach(alignment, 1, 2, 5, 6)
-        
-        table.attach(Gtk.Label("kg"), 2, 3, 5, 6)
-
-        table.attach(Gtk.HSeparator(), 1, 2, 6, 7)
+        table.attach(alignment, 1, 2, row, row+1)
+        
+        table.attach(Gtk.Label("kg"), 2, 3, row, row+1)
+
+        row += 1
+
+        table.attach(Gtk.HSeparator(), 1, 2, row, row+1)
+
+        row += 1
 
         label = Gtk.Label("<b>" + xstr("weighthelp_payload") + "</b>")
@@ -171,5 +188,5 @@
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(label)
-        table.attach(alignment, 0, 1, 7, 8)
+        table.attach(alignment, 0, 1, row, row+1)
 
         self._payload = Gtk.Label("<b>32000</b>")
@@ -178,7 +195,7 @@
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(self._payload)
-        table.attach(alignment, 1, 2, 7, 8)
-        
-        table.attach(Gtk.Label("kg"), 2, 3, 7, 8)
+        table.attach(alignment, 1, 2, row, row+1)
+        
+        table.attach(Gtk.Label("kg"), 2, 3, row, row+1)
 
         self._fsPayload = Gtk.Label("<b>32001</b>")
@@ -187,7 +204,9 @@
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(self._fsPayload)
-        table.attach(alignment, 3, 4, 7, 8)
-        
-        table.attach(Gtk.Label("kg"), 4, 5, 7, 8)
+        table.attach(alignment, 3, 4, row, row+1)
+        
+        table.attach(Gtk.Label("kg"), 4, 5, row, row+1)
+
+        row += 1
 
         label = Gtk.Label(xstr("weighthelp_dow"))
@@ -196,5 +215,5 @@
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(label)
-        table.attach(alignment, 0, 1, 8, 9)
+        table.attach(alignment, 0, 1, row, row+1)
 
         self._dow = Gtk.Label("35000")
@@ -202,7 +221,7 @@
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(self._dow)
-        table.attach(alignment, 1, 2, 8, 9)
-        
-        table.attach(Gtk.Label("kg"), 2, 3, 8, 9)
+        table.attach(alignment, 1, 2, row, row+1)
+        
+        table.attach(Gtk.Label("kg"), 2, 3, row, row+1)
 
         self._fsDOW = Gtk.Label("33012")
@@ -210,11 +229,15 @@
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(self._fsDOW)
-        table.attach(alignment, 3, 4, 8, 9)
-        
-        table.attach(Gtk.Label("kg"), 4, 5, 8, 9)
-
-        table.attach(Gtk.HSeparator(), 1, 2, 9, 10)
-
-        table.attach(Gtk.HSeparator(), 3, 4, 9, 10)
+        table.attach(alignment, 3, 4, row, row+1)
+        
+        table.attach(Gtk.Label("kg"), 4, 5, row, row+1)
+
+        row += 1
+
+        table.attach(Gtk.HSeparator(), 1, 2, row, row+1)
+
+        table.attach(Gtk.HSeparator(), 3, 4, row, row+1)
+
+        row += 1
 
         label = Gtk.Label("<b>" + xstr("weighthelp_zfw") + "</b>")
@@ -223,5 +246,5 @@
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(label)
-        table.attach(alignment, 0, 1, 10, 11)
+        table.attach(alignment, 0, 1, row, row+1)
 
         self._zfw = Gtk.Label("<b>122000</b>")
@@ -230,7 +253,7 @@
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(self._zfw)
-        table.attach(alignment, 1, 2, 10, 11)
-        
-        table.attach(Gtk.Label("kg"), 2, 3, 10, 11)
+        table.attach(alignment, 1, 2, row, row+1)
+        
+        table.attach(Gtk.Label("kg"), 2, 3, row, row+1)
 
         self._fsZFW = Gtk.Label("<b>124000</b>")
@@ -239,10 +262,14 @@
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(self._fsZFW)
-        table.attach(alignment, 3, 4, 10, 11)
-        
-        table.attach(Gtk.Label("kg"), 4, 5, 10, 11)
-
-        table.attach(Gtk.HSeparator(), 0, 5, 11, 12)
-        
+        table.attach(alignment, 3, 4, row, row+1)
+        
+        table.attach(Gtk.Label("kg"), 4, 5, row, row+1)
+
+        row += 1
+
+        table.attach(Gtk.HSeparator(), 0, 5, row, row+1)
+        
+        row += 1
+
         label = Gtk.Label(xstr("weighthelp_gross"))
         label.set_use_markup(True)
@@ -250,5 +277,5 @@
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(label)
-        table.attach(alignment, 0, 1, 12, 13)
+        table.attach(alignment, 0, 1, row, row+1)
 
         self._fsGross = Gtk.Label("124000")
@@ -256,7 +283,9 @@
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(self._fsGross)
-        table.attach(alignment, 3, 4, 12, 13)
-        
-        table.attach(Gtk.Label("kg"), 4, 5, 12, 13)
+        table.attach(alignment, 3, 4, row, row+1)
+        
+        table.attach(Gtk.Label("kg"), 4, 5, row, row+1)
+
+        row += 1
 
         label = Gtk.Label(xstr("weighthelp_mzfw"))
@@ -265,5 +294,5 @@
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(label)
-        table.attach(alignment, 0, 1, 13, 14)
+        table.attach(alignment, 0, 1, row, row+1)
 
         self._mzfw = Gtk.Label("35000")
@@ -271,7 +300,9 @@
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(self._mzfw)
-        table.attach(alignment, 1, 2, 13, 14)
-        
-        table.attach(Gtk.Label("kg"), 2, 3, 13, 14)
+        table.attach(alignment, 1, 2, row, row+1)
+        
+        table.attach(Gtk.Label("kg"), 2, 3, row, row+1)
+
+        row += 1
 
         label = Gtk.Label(xstr("weighthelp_mtow"))
@@ -280,5 +311,5 @@
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(label)
-        table.attach(alignment, 0, 1, 14, 15)
+        table.attach(alignment, 0, 1, row, row+1)
 
         self._mtow = Gtk.Label("35000")
@@ -286,7 +317,9 @@
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(self._mtow)
-        table.attach(alignment, 1, 2, 14, 15)
-        
-        table.attach(Gtk.Label("kg"), 2, 3, 14, 15)
+        table.attach(alignment, 1, 2, row, row+1)
+        
+        table.attach(Gtk.Label("kg"), 2, 3, row, row+1)
+
+        row += 1
 
         label = Gtk.Label(xstr("weighthelp_mlw"))
@@ -295,5 +328,5 @@
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(label)
-        table.attach(alignment, 0, 1, 15, 16)
+        table.attach(alignment, 0, 1, row, row+1)
 
         self._mlw = Gtk.Label("35000")
@@ -301,7 +334,7 @@
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(self._mlw)
-        table.attach(alignment, 1, 2, 15, 16)
-        
-        table.attach(Gtk.Label("kg"), 2, 3, 15, 16)
+        table.attach(alignment, 1, 2, row, row+1)
+        
+        table.attach(Gtk.Label("kg"), 2, 3, row, row+1)
 
         self.show_all()
